/* (c) https://github.com/MontiCore/monticore */
/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class simulator_integration_AutopilotAdapter */

#ifndef _Included_simulator_integration_AutopilotAdapter
#define _Included_simulator_integration_AutopilotAdapter
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_timeIncrement
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1timeIncrement
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_currentVelocity
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1currentVelocity
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_x
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1x
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_y
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1y
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_compass
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1compass
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_currentEngine
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1currentEngine
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_currentSteering
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1currentSteering
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_currentBrakes
 * Signature: (D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1currentBrakes
  (JNIEnv *, jobject, jdouble);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_trajectory_length
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1trajectory_1length
  (JNIEnv *, jobject, jint);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_trajectory_x
 * Signature: ([D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1trajectory_1x
  (JNIEnv *, jobject, jdoubleArray);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    set_trajectory_y
 * Signature: ([D)V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_set_1trajectory_1y
  (JNIEnv *, jobject, jdoubleArray);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    get_engine
 * Signature: ()D
 */
JNIEXPORT jdouble JNICALL Java_simulator_integration_AutopilotAdapter_get_1engine
  (JNIEnv *, jobject);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    get_steering
 * Signature: ()D
 */
JNIEXPORT jdouble JNICALL Java_simulator_integration_AutopilotAdapter_get_1steering
  (JNIEnv *, jobject);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    get_brakes
 * Signature: ()D
 */
JNIEXPORT jdouble JNICALL Java_simulator_integration_AutopilotAdapter_get_1brakes
  (JNIEnv *, jobject);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    exec
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_exec
  (JNIEnv *, jobject);

/*
 * Class:     simulator_integration_AutopilotAdapter
 * Method:    init
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_simulator_integration_AutopilotAdapter_init
  (JNIEnv *, jobject);

#ifdef __cplusplus
}
#endif
#endif
